layering {bnstruct} | R Documentation

## return the layering of the nodes.

### Description

Compute the topological ordering of the nodes of a network, in order to divide the network in layers.

### Usage

    layering(x)

    ## S4 method for signature 'BN'
    layering(x)

### Arguments

`x` | a `BN` object.

### Value

a vector containing layers the nodes can be divided into.

### Examples

    ## Not run:
    dataset <- BNDataset("file.header", "file.data")
    x <- BN(dataset)
    x <- learn.network(x, dataset)
    layering(x)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]